%{!?kernelroot: %define kernelroot "" }
%{!?kernelversion: %define kernelversion %(uname -r) }

%define kernelpath /usr/src/kernels/%{kernelversion}-%{_target_cpu}

Summary: QuickCam Express/Web V4L driver
Name: kernel-module-qc-usb
Version: 0.6.4
Release: 3
License: GPL
Group: System Environment/Base
URL: http://sourceforge.net/projects/qce-ga/
Source: qc-usb-%{version}.tar.gz
Source1: 10-qcam.rules
# Patch by FreqMod and Miklos Vajna
Patch0: qc-usb-0.6.4-linux2618.diff
# Fix FC6 build
Patch1: qc-usb-0.6.4-no-config.h.diff
BuildRoot: %{_tmppath}/build-root-%{name}

%description
This package contains the V4L driver for the Logitech QuickCam Express and QuickCam Web webcams.

%package %{kernelversion}
Summary: Quickcam Express V4L driver
Group: System Environment/Base

%description %{kernelversion}
This package contains the V4L driver for the Logitech QuickCam Express and QuickCam Web webcams.

%prep
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT

%setup -q -n qc-usb-%{version}
%patch0 -p1
%patch1 -p1

%build
make all PREFIX=$RPM_BUILD_ROOT%{_prefix} MODULE_DIR=$RPM_BUILD_ROOT/lib/modules/%{kernelversion} LINUX_DIR=%{kernelroot}%{kernelpath}

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT%{_prefix} MODULE_DIR=$RPM_BUILD_ROOT/lib/modules/%{kernelversion} LINUX_DIR=%{kernelroot}%{kernelpath}
install -D -m 0644 $RPM_SOURCE_DIR/10-qcam.rules $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/10-qcam.rules

%clean
rm -rf $RPM_BUILD_ROOT

%files %{kernelversion}
%defattr(-,root,root)
%{_bindir}/qcset
/%{_lib}/modules/%{kernelversion}/misc/quickcam.ko
%config %{_sysconfdir}/udev/rules.d/10-qcam.rules
%doc APPLICATIONS COPYING CREDITS FAQ README.qce TODO

%post %{kernelversion}
depmod -ae

%postun %{kernelversion}
if [ $1 -eq 0 ]; then
    depmod -aq
fi

%changelog
* Tue Oct 24 2006 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.6.4-3
- Fix udev script again

* Mon Oct 23 2006 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.6.4-2
- Apply patch for FC6 (no config.h).

* Mon Oct 16 2006 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.6.4-1
- New upstream release
- Apply patch for kernel 2.6.18
- Drop FC3- support

* Sun May 7 2006 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.6.3-0.iva.3.kk
- Fixed udev script

* Wed Mar 22 2006 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.6.3-0.iva.2.kk
- Fixed for FC5

* Mon Jun 27 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.6.3-0.iva.1
- Fixed for FC4

* Wed Apr 27 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.6.3-0.iva.0
- Upstream update
- Cleaned up spec file

* Mon Jan 10 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.6.2-0.iva.1
- Fixed a silly error in %postun
- Added all devices in the module to the udev script and fixed the symlink entry
- Added %doc entries to %files
- Added the kernelroot variable to the SRPM
- Fixed the summary and descriptions to be more accurate (I think)

* Sat Jan  8 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.6.2-0.iva.0
- Retooled the spec file for standards
